import json

from Market.Order import Order

class BuyOrder(Order):
    def __init__(self, cardId=None, price=0, volume=0, fee=0):
        super().__init__(
            orderType = "buy",
            cardId = cardId,
            fee = fee
            )
        self.price = price
        self.volume = volume

    def add_transaction(self, transaction):
        if len(self.transactions) < self.volume:
            # TODO: update database
        else:
            raise self.Fulfilled("Order volume has already been fulfilled.")
