import dotenv
import flask
import os

ROLE = os.getenv('ROLE', 'mine')

if ROLE == 'mine':
    from Mine.Mine import mine
    app = flask.Flask(__name__)
    app.register_blueprint(mine)
#from Market.Market import market
#app.register_blueprint(market, url_prefix="/market")
else:
    raise Exception("Environment variable ROLE must be either 'mine' or 'market'.")

if __name__ == "__main__":
    dotenv.load_dotenv()
    app.run()
